/**
 * SD-WAN App
 * Defined an App to manage sd-wan
 */
var SdwanApp = SdwanApp || {};  // Define Sdwan App namespace.
/**
 * Constructor UNAS App
 */
SdwanApp.App = function () {
    this.id = 'sd-wan';
    this.name = 'SD-WAN';
    this.version = '6.0.4';
    this.active = false;
    this.menuIcon = '/apps/sd-wan/images/logo.png?v=6.0.4&';
    this.shortcutIcon = '/apps/sd-wan/images/logo.png?v=6.0.4&';
    this.entryUrl = "/apps/sd-wan/index.html?v=6.0.4&"
    var self = this;
    this.SdwanAppWindow = function () {
        if(UNAS.CheckAppState('sd-wan')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'SdwanAppWindow',
            title: UNAS._('sd-wan'),
            icon: '/apps/sd-wan/images/logo_small.png?v=6.0.4&',
            loadMethod: 'xhr',
            width: 1024,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/sd-wan/index.html?v=6.0.4&',
            require: {  css: ['/apps/sd-wan/css/sd-wan.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("sd-wan",'SdwanAppWindow')}
        });
    };
    this.SdwanUninstall = function (){
        UNAS.RemoveDesktopShortcut('sd-wan');
        UNAS.RemoveMenu('sd-wan');
        UNAS.RemoveAppFromGroups('sd-wan', 'ControlPanel');
        UNAS.RemoveAppFromApps('sd-wan');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'sd-wan', '', this.SdwanAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'sd-wan', this.SdwanAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Network', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('sd-wan', UNAS._('sd-wan')); //translate menu
        UNAS.SetShortcutTitle('sd-wan', UNAS._('sd-wan'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('SdwanAppWindow', UNAS._('sd-wan'));
        }
    };
    UNAS.LoadTranslation('/apps/sd-wan/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.SdwanAppWindow, this.SdwanUninstall);
};

new SdwanApp.App();
